import React, { useState } from 'react'
import { Table, Space } from 'antd'

const DatasourceLog = () => {
  // 初始化日志列表
  const [logList, setLogList] = useState([])
  // 表格Loading状态
  const [dataLoading, setDataLoading] = useState(false)

  const changeTask = () => {}
  const checkLog = () => {}
  const columns = [
    {
      title: '同步ID',
      dataIndex: 'id',
      key: 'id',
    },
    {
      title: '调度时间',
      dataIndex: 'scheduleTime',
      key: 'scheduleTime',
    },
    {
      title: '调度结果',
      dataIndex: 'scheduleResult',
      key: 'scheduleResult',
    },
    {
      title: '执行时间',
      dataIndex: 'executionTime',
      key: 'executionTime',
    },
    {
      title: '执行结果',
      dataIndex: 'executionResult',
      key: 'executionResult',
    },
    {
      title: '操作',
      key: 'operation',
      render: (_, record) => (
        <Space size="middle">
          <span
            onClick={() => {
              checkLog(record.key)
            }}
            style={{ color: '#1881DA', cursor: 'pointer' }}>
            查看
          </span>
          {/* <a href="/#" onClick={editData} style={{ color: '#1881DA' }}>
            编辑
          </a> */}
          <span
            onClick={() => {
              changeTask(record.key)
            }}
            style={{ color: '#1881DA', cursor: 'pointer' }}>
            终止任务
          </span>
        </Space>
      ),
    },
  ]
  return (
    <Table
      columns={columns}
      dataSource={logList}
      bordered
      loading={dataLoading}
    />
  )
}

export default DatasourceLog
